<?php
ignore_user_abort(true);
error_reporting(0);
ini_set("memory_limit", "45M");
ini_set('max_execution_time', '300');

$version = isset($_GET['version']) ? $_GET['version'] : false;
$versions = array('5.3', '5.4', '5.5', '5.6', '7.1', '7.2', '7.3', '7.4', '8.1');

$tmp = explode('.', PHP_VERSION);
$php_ver = $tmp[0] . '.' . $tmp[1];

if ($version) {
    if (in_array($version, $versions)) {
        if ($version == '5.6' || $version == '7.1') $version = '57';
        elseif ($version == '7.3') $version = '72';
        elseif ($version == '8.1') $version = '74';
        else $version = str_replace('.', '', $version);
        $url = 'http://www.prosto-soft.com/buran/installers/install_ioncube' . $version . '.php_';
        $content = @file_get_contents($url);
        if ($content) {
            $f1 = fopen('install_c.php', "w");
            fwrite($f1, $content);
            fclose($f1);
            @chmod('install_c.php', 0777);
            if (file_exists('install_c.php')) echo 'Installer downloaded successfully.';
            else echo 'Can\'t save installation file. Please set \'755\' permissions for the root folder and try again.';
        } else echo 'Can\'t download installation file.';
    } else echo 'Wrong version selected';
    die();
}

?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <title>Buran installation. Step 1 out of 3.</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
</head>
<body>
<nav class="navbar navbar-light" style="background-color: #e4e4e4;">
    <span class="navbar-brand mb-0 h1">Buran Installation. <i>Step 1 out of 3.</i></span>
</nav>
<div class="container" style="background-color: #f0f0f0;border-radius: 4px;padding-bottom: 15px;">
    <div style="margin-top:10px;"></div>
    <h4 style="color: #007bff;">Step 1: Select version</h4>
    <?php
    if (!extension_loaded("IonCube Loader")) echo '
				<div class=\'alert alert-danger\' role="alert" style="margin:20px 0px;">
				FATAL ERROR: It seems like your server doesn\'t have \'IonCube Loader\' extension installed.<br>
				If so, the script will not work at all :(
				</div>
				';
    ?>
    <div class="alert alert-info" role="alert">
        Your current PHP version is <?php echo $php_ver; ?>
    </div>
    <div class="alert alert-danger" role="alert" id='message' style='display:none;'></div>
    <form method=post>
        <div class="row">
            <div class="col">
                <?php
                foreach ($versions as $i) {
                    $s = $php_ver == $i ? ' checked' : '';
                    echo '
							<div class="form-check">
							<input class="form-check-input" type="radio" id="ver' . $i . '" value="' . $i . '" name="ver"' . $s . '>
							<label class="form-check-label" for="ver' . $i . '">Buran, IonCube version for PHP ' . $i . '</label>
							</div>';
                }
                ?>
            </div>
        </div>
        <div style="margin-top:20px;"></div>
        <button type="button" class="btn btn-primary" onClick="Download(); return false">Continue &gt;</button>
    </form>
</div>
<div style="margin-top:20px;"></div>
<script>
    function Download() {
        let version = $("input:checked").val();
        $.ajax({
            url: 'install.php?version=' + version,
            cache: false,
            success: function (html) {
                if (html == 'Installer downloaded successfully.') window.location.assign('install_c.php?version=' + version);
                else {
                    $('#message').html(html);
                    $('#message').show('slow');
                }
            }
        });
    }
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
</body>
</html>
